--- Nagstamon/GUI.py.orig	2013-07-12 20:25:26.038198981 +0200
+++ Nagstamon/GUI.py	2013-07-12 20:44:47.141950183 +0200
@@ -172,7 +172,7 @@
 
         if str(self.conf.fullscreen) == "True":
             self.popwin.Window.show_all()
-            self.popwin.Window.set_visible(True)
+            self.popwin.Window.show()
             self.popwin.RefreshFullscreen()
         else:
             self.popwin.Resize()
@@ -321,7 +321,7 @@
                 try:
                     # otherwise it must be shown, full of problems
                     self.popwin.ServerVBoxes[server.get_name()].show()
-                    self.popwin.ServerVBoxes[server.get_name()].set_visible(True)
+                    self.popwin.ServerVBoxes[server.get_name()].show()
                     self.popwin.ServerVBoxes[server.get_name()].set_no_show_all(False)
 
                     # if needed show auth line:
@@ -352,12 +352,12 @@
                        server.status_description == "":
                         # ... there is no need to show a label or treeview...
                         self.popwin.ServerVBoxes[server.get_name()].hide()
-                        self.popwin.ServerVBoxes[server.get_name()].set_visible(False)
+                        self.popwin.ServerVBoxes[server.get_name()].hide()
                         self.popwin.ServerVBoxes[server.get_name()].set_no_show_all(True)
                         self.status_ok = True
                     else:
                         # otherwise it must be shown, full of problems
-                        self.popwin.ServerVBoxes[server.get_name()].set_visible(True)
+                        self.popwin.ServerVBoxes[server.get_name()].show()
                         self.popwin.ServerVBoxes[server.get_name()].set_no_show_all(False)
                         self.popwin.ServerVBoxes[server.get_name()].show_all()
                         self.status_ok = False
@@ -1726,12 +1726,12 @@
             # for not letting statusbar throw a shadow onto popwin in any composition-window-manager this helps to
             # keep a more consistent look - copied from StatusBar... anyway, doesn't work... well, next attempt:
             # Windows will have an entry on taskbar when not using HINT_UTILITY
-            self.Window.set_visible(False)
+            self.Window.hide()
             if platform.system() == "Windows":
                 self.Window.set_type_hint(gtk.gdk.WINDOW_TYPE_HINT_UTILITY)
             else:
                 self.Window.set_type_hint(gtk.gdk.WINDOW_TYPE_HINT_MENU)
-            #self.Window.set_visible(True)
+            #self.Window.show()
 
             # make a nice popup of the toplevel window
             self.Window.set_decorated(False)
@@ -1751,9 +1751,9 @@
                 for m in range(self.Window.get_screen().get_n_monitors()):
                     monx0, mony0, monw, monh = self.Window.get_screen().get_monitor_geometry(m)
                     self.output.monitors[m] = (monx0, mony0, monw, monh)
-            self.Window.set_visible(False)
+            self.Window.hide()
             self.Window.set_type_hint(gtk.gdk.WINDOW_TYPE_HINT_NORMAL)
-            self.Window.set_visible(True)
+            self.Window.show()
             x0, y0, width, height = self.output.monitors[int(self.output.conf.fullscreen_display)]
             self.Window.move(x0, y0)
             self.Window.set_decorated(True)
@@ -1824,7 +1824,7 @@
                 self.output.statusbar.Moving = False
 
                 self.Window.show_all()
-                self.Window.set_visible(True)
+                self.Window.show()
 
                 # position and resize...
                 self.calculate_coordinates = True
@@ -1872,7 +1872,7 @@
         # even if fullscreen this is necessary
         self.Window.set_size_request(self.buttonswidth, -1)
         self.Window.show_all()
-        self.Window.set_visible(True)
+        self.Window.show()
 
 
     def LeavePopWin(self, widget=None, event=None):
@@ -1937,7 +1937,7 @@
                 # use gobject.idle_add() to be thread safe
                 gobject.idle_add(self.output.DeleteGUILock, self.__class__.__name__)
             #self.Window.hide_all()
-            self.Window.set_visible(False)
+            self.Window.hide()
             # notification off because user had a look to hosts/services recently
             self.output.NotificationOff()
 
@@ -2877,9 +2877,9 @@
                 self.output.statusbar.StatusBar.hide_all()
 
             if str(self.conf.icon_in_systray) == "True":
-                self.output.statusbar.SysTray.set_visible(True)
+                self.output.statusbar.SysTray.show()
             else:
-                self.output.statusbar.SysTray.set_visible(False)
+                self.output.statusbar.SysTray.hide()
 
             # in Windows the statusbar with gtk.gdk.WINDOW_TYPE_HINT_UTILITY places itself somewhere
             # this way it should be disciplined
@@ -2896,7 +2896,7 @@
                 if not server.get_name() in self.output.popwin.ServerVBoxes:
                     self.output.popwin.ServerVBoxes[server.get_name()] = self.output.popwin.CreateServerVBox(server.get_name(), self.output)
                     if str(self.conf.servers[server.get_name()].enabled)== "True":
-                        self.output.popwin.ServerVBoxes[server.get_name()].set_visible(True)
+                        self.output.popwin.ServerVBoxes[server.get_name()].show()
                         self.output.popwin.ServerVBoxes[server.get_name()].set_no_show_all(False)
                         self.output.popwin.ServerVBoxes[server.get_name()].show_all()
                         self.output.popwin.ServerVBoxes[server.get_name()].Label.set_markup('<span weight="bold" size="large">' + server.get_username() + "@" + server.get_name() + '</span>')
@@ -3265,14 +3265,14 @@
         for item_id in ["label_monitor_cgi_url", "input_entry_monitor_cgi_url", "input_checkbutton_use_autologin", "label_autologin_key", "input_entry_autologin_key"]:
             item = self.builder.get_object(item_id)
             if item is not None:
-                item.set_visible(True)
+                item.show()
 
         # so we can hide what may be hidden
         if len(server.DISABLED_CONTROLS) != 0:
             for item_id in server.DISABLED_CONTROLS:
                 item = self.builder.get_object(item_id)
                 if item is not None:
-                    item.set_visible(False)
+                    item.hide()
 
 
     def OK(self, widget):
@@ -3762,8 +3762,8 @@
                     pass
 
         # disable help per default
-        self.builder.get_object("label_help_string_description").set_visible(False)
-        self.builder.get_object("label_help_type_description").set_visible(False)
+        self.builder.get_object("label_help_string_description").hide()
+        self.builder.get_object("label_help_type_description").hide()
 
 
     def OK(self, widget):
@@ -4010,10 +4010,10 @@
 
         # any monitor that is not Centreon does not need autologin entry
         if not self.server.type == "Centreon":
-            self.entry_autologin_key.set_visible(False)
-            self.builder.get_object("input_checkbutton_use_autologin").set_visible(False)
-            self.builder.get_object("label_autologin_key").set_visible(False)
-            self.builder.get_object("input_entry_autologin_key").set_visible(False)
+            self.entry_autologin_key.hide()
+            self.builder.get_object("input_checkbutton_use_autologin").hide()
+            self.builder.get_object("label_autologin_key").hide()
+            self.builder.get_object("input_entry_autologin_key").hide()
 
         self.dialog.run()
         self.dialog.destroy()
